Subject: bug#36280: 26.2.90; 'emacs -Q' receives SIGSEGV, Segmentation fault

From: Alan Third <[email-masked]>
Date: Sat, 22 Jun 2019 21:35:13 +0100

On Tue, Jun 18, 2019 at 09:07:59PM +0300, Eli Zaretskii wrote:
> > From: Robert Pluim <[email-masked]>
> > Cc: VanL <[email-masked]>,  [email-masked]
> > Date: Tue, 18 Jun 2019 19:58:37 +0200
> > 
> > Emacs using X11/GTK2 on macOS? Is that supposed to even work?
> 
> I don't know.  Alan?

I know that X11/Lucid works on macOS, if you have XQuartz, but I’ve no
idea about GTK2. For all I know Van might be the first person to ever
try it.

When I try it fails during the build with this:

In file included from frame.c:32:
In file included from ./gtkutil.h:28:
./xterm.h:50:10: fatal error: 'gdk/gdkx.h' file not found
#include <gdk/gdkx.h>
         ^~~~~~~~~~~~
         
Which looks pretty fatal to me.
-- 
Alan Third